Bug 1671093 - gnome-builder should depend on libpeas-loader-python3, as otherwise the New Project screen is blank
Summary: gnome-builder should depend on libpeas-loader-python3, as otherwise the New P...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-builder
Version: 29
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-30 17:31 UTC by Dean Matzkov
Modified: 2019-02-01 01:59 UTC (History)
4 users (show)

Fixed In Version: gnome-builder-3.30.3-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-01 01:59:00 UTC


Attachments (Terms of Use)
Gnome Builder without libpeas-loader-python3 installed (350.21 KB, image/png)
2019-01-30 17:31 UTC, Dean Matzkov
no flags Details

Description Dean Matzkov 2019-01-30 17:31:39 UTC
Created attachment 1525120 [details]
Gnome Builder without libpeas-loader-python3 installed

If Gnome Builder is ran without the package libpeas-loader-python3 installed, most of the UI on the New Project page becomes blank and the application becomes non-functional (as demonstrated in the attached screenshot).

Here's the output from running gnome-builder without the aforementioned Python package:

---SNIP---
libpeas[ 2508]:  WARNING: Failed to load module 'python3loader': /usr/lib64/libpeas-1.0/loaders/libpython3loader.so: cannot open shared object file: No such file or directory
libpeas[ 2508]:  WARNING: Could not load plugin loader 'python3'
---/SNIP---


And upon installing libpeas-loader-python3, Gnome Builder functions normally again and it's possible to select the Language and Template. So thus, gnome-builder should explicitly depend on it, since there are situations where someone may not have it installed.

How to repro:

1. Make sure libpeas-loader-python3 is uninstalled.
2. Launch Gnome Builder, and click "New..." near the top-left of the window.

Thanks!

Comment 2 Fedora Update System 2019-01-30 18:54:05 UTC
gnome-builder-3.30.3-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ffe7c37c25

Comment 3 Fedora Update System 2019-01-31 02:30:29 UTC
gnome-builder-3.30.3-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ffe7c37c25

Comment 4 Fedora Update System 2019-02-01 01:59:00 UTC
gnome-builder-3.30.3-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.